Bug 53524 - Create UNO Grid control with dialog editor
Summary: Create UNO Grid control with dialog editor
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: shubhamgoyal
URL:
Whiteboard: target:6.3.0
Keywords: difficultyBeginner, easyHack, patch, skillCpp, topicUI
Depends on:
Blocks: UNO-Command-New
  Show dependency treegraph
 
Reported: 2012-08-15 04:17 UTC by wolfgang-becker
Modified: 2019-03-23 10:48 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Patch (39.47 KB, patch)
2018-04-04 13:11 UTC, Samuel Mehrbrodt (CIB)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description wolfgang-becker 2012-08-15 04:17:09 UTC
The UNO Grid control (not the DataForm or Base grid control) was published on OOo 3.4 ("com.sun.star.awt.grid.UnoControlGrid"). Until today the UNO grid control can only be created by BASIC-code at runtime.

Like other controls it would be nice to create and change the properties of UNO grid control within the Dialog-Editor. In Apache OpenOffice there is a already a suggestion / patch to introduce this function (Bug 120066 - Grid control on dialog editor).
Comment 1 Xisco Faulí 2017-09-24 14:14:00 UTC
Could you please submit the attached patch to gerrit as described here: https://wiki.documentfoundation.org/Development/gerrit/SubmitPatch?
Since this is a really old bug, I'm setting this to NEEDINFO until the reporter give a sign of life
Comment 2 QA Administrators 2018-04-04 13:08:29 UTC Comment hidden (obsolete)
Comment 3 Samuel Mehrbrodt (CIB) 2018-04-04 13:11:52 UTC
Created attachment 141080 [details]
Patch

Adding the patch as attachment from https://bz.apache.org/ooo/attachment.cgi?id=78446&action=diff
Comment 4 Samuel Mehrbrodt (CIB) 2018-04-04 13:13:08 UTC
The patch probably needs some adjusting to our code changes.

This is an easy hack. Please look at the patch and apply the changes back to our code. I guess it's easier to port the changes manually than trying to fix all the conflicts.
Comment 5 shubhamgoyal 2019-03-07 04:46:49 UTC
I have uploaded some change wrt to this bug. Kindly look at it and guide me for any further changes.
Comment 6 shubhamgoyal 2019-03-07 04:47:52 UTC
Just forgot.

Link to the changes - 
https://gerrit.libreoffice.org/#/c/68814/
Comment 7 Commit Notification 2019-03-07 18:53:45 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/4985bdc40738dedd9ae2571e660189c0ffa65541%5E%21

tdf#53524 add insertgridcontrol icon to all icon themes

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2019-03-08 11:20:11 UTC
Shubham Goyal committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/+/8b9d37bf1bb9bfc21343cbd02f21201c56cf05ca%5E%21

tdf#53524 help-submodule - grid control Dialog editor
Comment 9 Commit Notification 2019-03-08 11:45:30 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/+/3013fcc8dd2ca6407c6bf17a36a34741d0c9c968%5E%21

tdf#53524 (compl) Minor tweaks in Help page.
Comment 10 Commit Notification 2019-03-08 14:52:28 UTC
Shubham Goyal committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/732d630c3d2a168c725c18e4dd8df7a0a4f85566%5E%21

tdf#53524 Create UNO grid control- dialog editor

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Xisco Faulí 2019-03-12 19:36:45 UTC
Hello Shubham Goyal,
Thanks for implementing this long standing enhancement.
Would you mind adding a few lines about the new enhancement to https://wiki.documentfoundation.org/ReleaseNotes/6.3 ?
Comment 12 shubhamgoyal 2019-03-19 13:04:50 UTC
Sure, I (In reply to Xisco Faulí from comment #11)
> Hello Shubham Goyal,
> Thanks for implementing this long standing enhancement.
> Would you mind adding a few lines about the new enhancement to
> https://wiki.documentfoundation.org/ReleaseNotes/6.3 ?

Sure, But it would be great if you guide me along.
Comment 13 Commit Notification 2019-03-23 10:48:42 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/1454c5d2b44894ae014dd52938ae5511dab49e03%5E%21

KJ & elementary: Add more Writer's menubar items, add redact icons, i#119731, tdf#53524

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.